修正了升级到WP2.8后台的三个报错

WordPress 2.8一发布我便用自动升级的方式升级了,结果后台就出现三个报错。一直很忙,所以都没去管。本来以为是自动升级或者插件冲突造成了这些报错,没想到今日一G,便找到了解决方案,大致说一下。
报错和解决方案:
1、引入链接报错

症状:
RSS错误:WP HTTP Error: 无法打开 fopen() 操作到http://blogsearch.google.com/blogsearch_feeds?hl=en&scoring=d&ie=utf-8&num=10&output=rss&partner=wordpress&q=link:

解决方案:
配置输入:http://blogsearch.google.com/blogsearch_feeds?hl=en&scoring=d&ie=utf-8&num=10&output=rss&partner=wordpress&q=link:http://mrchou.com/,再刷新,就解决了!

参考链接:
花果山寨:http://www.wodidai.com/post/wordpress-external-links-error-solutions.html

2、不断提示升级

症状:
不论是自动升级还是下载官方中文版重新安装都不断提醒要求升级到2.8。

解决方案:
在wp-includes\version.php 文件,在文件最后加入$wp_local_package = 'zh_CN';
在这段代码后再加入?>
接着再工具-升级自动升级,不仅问题解决,连后台汉化不完全的问题也解决了!

参考链接:
话博:http://blog.gohsy.com/topics/wordpress-2-8_cn-version-has-been-prompted-to-upgrade-the-new-version-of-the-solution.html

3、插件WP-DBManager报错

症状:
我使用了WP-DBManager来管理和备份数据库,升级到WP2.8之后,在后台出现报错,内容为:
"Your backup folder MIGHT be visible to the public
To correct this issue, move the .htaccess file from .../wp-content/plugins/wp-dbmanager to .../wp-content/backup-db"

解决方案:
创建一个.htaccess文件,内容为:
<Files ~ ".*\..*">
order allow,deny
deny from all
</Files>

然后将这个.htaccess文件上传到.../wp-content/backup-db,再刷新,问题就解决了!

参考链接:
http://forums.lesterchan.net/index.php/topic,1489.0.html.

解决了这三个问题,我的WP后台就清净了。
基本来说WP2.8还是不错的,更加实用,更加人性化,但后台相对较慢的问题还是没解决。
最后,顺便庆祝一下MrChou.Com的PR升到3,标记一下。继续加油!

THE END
分享
二维码
< <上一篇
下一篇>>